//
//  AppDelegate.m
//  Dialectic Framework Tester
//
//  Created by Jon Nathan, JNSoftware LLC.
//  Copyright 2015 JNSoftware LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Dialectic/DialecticController.h>

@interface AppDelegate : NSObject <DialecticControllerDelegate> {
	NSWindow *window;
	NSButton *activateDialecticButton;
	NSPopUpButton *currentLocationPopUpButton;
	NSMutableArray *trackedCalls;
	DialecticController *sharedDialecticController;
}

@property (assign) IBOutlet NSWindow *window;
@property (assign) IBOutlet NSButton *activateDialecticButton;
@property (assign) IBOutlet NSPopUpButton *currentLocationPopUpButton;
@property (nonatomic, retain) NSMutableArray *trackedCalls;
@property (assign) DialecticController *sharedDialecticController;

- (IBAction)activateDialectic:(id)sender;
- (IBAction)setCurrentDialecticLocation:(id)sender;
- (IBAction)dial:(id)sender;
- (IBAction)notify:(id)sender;
- (IBAction)logSomething:sender;
- (IBAction)showLargeType:(id)sender;

@end
